All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::SQDis Struct Reference
Inheritance diagram for faiss::SQDis:

## Public Member Functions

float | operator() (storage_idx_t i) override
float | symmetric_dis (storage_idx_t i, storage_idx_t j) override
| SQDis (const IndexScalarQuantizer &storage, const float *q=nullptr)
void | set_query (const float *x) override
| called before computing distances
Public Member Functions inherited from faiss::HNSW::DistanceComputer
virtual float | operator() (storage_idx_t i)=0
| compute distance of vector i to current query
virtual float | symmetric_dis (storage_idx_t i, storage_idx_t j)=0
| compute distance between two stored vectors

## Public Attributes

Index::idx_t | nb
const uint8_t * | codes
size_t | code_size
const ScalarQuantizer & | sq
const float * | q
ScalarQuantizer::DistanceComputer * | dc
Public Attributes inherited from faiss::HNSW::DistanceComputer
idx_t | d

## Detailed Description

Definition at line 1752 of file IndexHNSW.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexHNSW.cpp